//
// C++ Interface: kmfruleoptioneditiip
//
// Description:
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KMFRULETARGETOPTIONEDITMARK_H
#define KMFRULETARGETOPTIONEDITMARK_H

#include "../../core/kmfruletargetoptioneditinterface.h"

// KDE includes
#include <tdeparts/part.h>
#include <tdeparts/plugin.h>
#include <tdeparts/factory.h>
#include <kxmlgui.h>
class TDEInstance;


namespace KMF {
class IPTRule;
class KMFRuleEditTargetMark;
/**
@author Christian Hubinger
*/
class KMFRuleTargetOptionEditMark : public KMFRuleTargetOptionEditInterface {
	TQ_OBJECT
  
public:
	KMFRuleTargetOptionEditMark(TQObject *parent = 0, const char *name = 0);

	~KMFRuleTargetOptionEditMark();
	void loadRule( IPTRule* rule );	
	TQWidget* editWidget();
	const TQString& optionEditName() const;
	const TQString& description() const;
	bool setTarget( const TQString& );

private slots:

	void slotShowOverview();

private:
	KMFRuleEditTargetMark *m_edit;
	IPTRule *m_rule;
	
};



class KMFRuleTargetOptionEditMarkFactory : public KLibFactory {
	TQ_OBJECT
  
public:
	KMFRuleTargetOptionEditMarkFactory( TQObject *parent = 0, const char *name = 0 );
	virtual ~KMFRuleTargetOptionEditMarkFactory() {
/* 		delete s_instance; */
	};
	virtual TQObject* createObject( TQObject* parent = 0, const char* pname = 0,
	                               const char* name = "TQObject",
	                               const TQStringList &args = TQStringList() );
	/*     static TDEInstance* instance(); */

/*private:
	static TDEInstance* s_instance;*/
};
}








#endif
